# H225_ServiceControlDescriptor Class Reference

`#include <h225.h>`

List of all members.

## Public Types

enum | Choices { e_url, e_signal, e_nonStandard, e_callCreditServiceControl }

## Public Member Functions

| H225_ServiceControlDescriptor (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H225_H248SignalsDescriptor & ()
| operator const H225_H248SignalsDescriptor & () const
| operator H225_NonStandardParameter & ()
| operator const H225_NonStandardParameter & () const
| operator H225_CallCreditServiceControl & ()
| operator const H225_CallCreditServiceControl & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H225_ServiceControlDescriptor::Choices

Enumerator:

  e_url |
  e_signal |
  e_nonStandard |
  e_callCreditServiceControl |

## Constructor & Destructor Documentation

H225_ServiceControlDescriptor::H225_ServiceControlDescriptor | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H225_ServiceControlDescriptor::operator H225_H248SignalsDescriptor & | ( |  | ) |

H225_ServiceControlDescriptor::operator const H225_H248SignalsDescriptor & | ( |  | ) | const

H225_ServiceControlDescriptor::operator H225_NonStandardParameter & | ( |  | ) |

H225_ServiceControlDescriptor::operator const H225_NonStandardParameter & | ( |  | ) | const

H225_ServiceControlDescriptor::operator H225_CallCreditServiceControl & | ( |  | ) |

H225_ServiceControlDescriptor::operator const H225_CallCreditServiceControl & | ( |  | ) | const

PBoolean H225_ServiceControlDescriptor::CreateObject | ( |  | ) |

PObject* H225_ServiceControlDescriptor::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h225.h